View Issue Details

IDProjectCategoryView StatusLast Update
0023969mantisbtperformancepublic2018-03-04 00:36
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.12.0Fixed in Version2.12.0 
Summary0023969: Minor performance and code enhancements of config functions
Description

functions config_get and config_can_set_in_database are called pretty often when accessing Mantis pages.

The PR will introduce minor performance and code enhancements of these functions.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 8c573f63

2017-11-26 09:52:46

atrol

Details Diff
Minor performance and code enhancements of config functions

Fixes 0023969
Affected Issues
0023969
mod - core/config_api.php Diff File

Issue History

Date Modified Username Field Change
2018-02-12 16:32 atrol New Issue
2018-02-12 16:32 atrol Status new => assigned
2018-02-12 16:32 atrol Assigned To => atrol
2018-02-12 16:35 atrol Note Added: 0058840
2018-02-18 16:15 atrol Changeset attached => MantisBT master 8c573f63
2018-02-18 16:15 atrol Status assigned => resolved
2018-02-18 16:15 atrol Resolution open => fixed
2018-02-18 16:15 atrol Fixed in Version => 2.12.0
2018-02-18 16:17 atrol Target Version => 2.12.0
2018-03-04 00:36 vboctor Status resolved => closed